## org.apache.cassandra.cache
Class JMXInstrumentedCache<K,V>

    java.lang.Object
      org.apache.cassandra.cache.InstrumentedCache<K,V>
          org.apache.cassandra.cache.JMXInstrumentedCache<K,V>

All Implemented Interfaces:
  JMXInstrumentedCacheMBean

    public class JMXInstrumentedCache<K,V>

extends InstrumentedCache<K,V>
implements JMXInstrumentedCacheMBean

Constructor Summary
`JMXInstrumentedCache(java.lang.String table, java.lang.String name, int capacity)`

Method Summary

Methods inherited from class org.apache.cassandra.cache.InstrumentedCache
`clear, get, getCapacity, getHits, getInternal, getRecentHitRate, getRequests, getSize, isCapacitySetManually, put, remove, setCapacity, updateCapacity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cache.JMXInstrumentedCacheMBean
`getCapacity, getHits, getRecentHitRate, getRequests, getSize, setCapacity`

Constructor Detail

### JMXInstrumentedCache

    public JMXInstrumentedCache(java.lang.String table,
                                java.lang.String name,
                                int capacity)

Copyright © 2010 The Apache Software Foundation